package com.sky.ioc.service.scene;

import com.sky.ioc.entity.domain.scene.Strategy;
import com.sky.ioc.mapper.scene.StrategyMapper;
import com.sky.ioc.tool.ReturnMsg;
import io.swagger.models.auth.In;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.List;

public interface StrategyService {
    ReturnMsg addStrategy(Strategy strategy);

    ReturnMsg delStrategyById(Integer id);

    ReturnMsg delBatchById(List<Integer> ids);

    ReturnMsg editStrategy(Strategy strategy);

    ReturnMsg getListByNameAndType(Integer type,Integer status,String name);
}
